ProyectoCrm/src/app/Modulos/Clasificacion3Modulo/Paginas/fw-clasificacion3/Componentes/fw-clasificacion3-detalles/fw-clasificacion3-detalles.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-boxes.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-3
    img([src]="tManejarImagen.ObtenerImagen()", alt="", for="flArchivo").card-img-top
  div.form-group.col-12.col-lg-9.custom-file
    input(#flArchivo="", type="file", [disabled]="BloquearImagen()", accept=".jpg", (change)="tManejarImagen.Cargar_Archivo($event)").custom-file-input#flArchivo
    label(for="flArchivo").custom-file-label Seleccionar archivo
div.form-row
  div.form-group.col-12
    label.form-label.h6 Clase
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-sitemap
      select((change)="Seleccionar_Clasificacion1()",
            [(ngModel)]="tClasificacion1Actual",
            size-select="sm").ControlInput--Select
        option(*ngFor="let tClasificacion1 of tClasificaciones1", [ngValue]="tClasificacion1", [disabled]="!tNuevo") [ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}
      div.ControlInput--ContenedorBoton
        button(type="button",
                (click)="AbrirModalClasificacion1()",
                [disabled]="!tNuevo").ControlInput--ContenedorBoton-Boton
          i.fas.fa-search
div.form-row
  div.form-group.col-12
    label.form-label.h6 Grupo
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-sitemap
      select([(ngModel)]="tClasificacion2Actual",
              (change)="Seleccionar_Clasificacion2()",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2", [ngValue]="tClasificacion2", [disabled]="!tNuevo") [ {{tClasificacion2.Codclasificacion2}} ] {{tClasificacion2.Descripcion}}
      div.ControlInput--ContenedorBoton
        button(type="button", (click)="AbrirModalClasificacion2()", [disabled]="!tNuevo").ControlInput--ContenedorBoton-Boton
          i.fas.fa-search

ProyectoCrm/src/app/Modulos/Clasificacion3Modulo/Paginas/fw-clasificacion3/Componentes/fw-clasificacion3-detalles/fw-clasificacion3-detalles.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-boxes mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-3"><img class="card-img-top" [src]="tManejarImagen.ObtenerImagen()" alt="" for="flArchivo"/></div>
  <div class="form-group col-12 col-lg-9 custom-file">
    <input class="custom-file-input" #flArchivo="" type="file" [disabled]="BloquearImagen()" accept=".jpg" (change)="tManejarImagen.Cargar_Archivo($event)" id="flArchivo"/>
    <label class="custom-file-label" for="flArchivo">Seleccionar archivo</label>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6">Clase</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
      <select class="ControlInput--Select" (change)="Seleccionar_Clasificacion1()" [(ngModel)]="tClasificacion1Actual" size-select="sm">
        <option *ngFor="let tClasificacion1 of tClasificaciones1" [ngValue]="tClasificacion1" [disabled]="!tNuevo">[ {{tClasificacion1.Codclasificacion1}} ] {{tClasificacion1.Descripcion}}</option>
      </select>
      <div class="ControlInput--ContenedorBoton">
        <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion1()" [disabled]="!tNuevo"><i class="fas fa-search"></i></button>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6">Grupo</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tClasificacion2Actual" (change)="Seleccionar_Clasificacion2()" size-select="sm">
        <option *ngFor="let tClasificacion2 of tClasificacion1Actual.LClasificacion2" [ngValue]="tClasificacion2" [disabled]="!tNuevo">[ {{tClasificacion2.Codclasificacion2}} ] {{tClasificacion2.Descripcion}}</option>
      </select>
      <div class="ControlInput--ContenedorBoton">
        <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalClasificacion2()" [disabled]="!tNuevo"><i class="fas fa-search"></i></button>
      </div>
    </div>
  </div>
</div>
